Browse Source

`panic_handler` is now stable

Fixes the following warning:

"warning: the feature `panic_handler` has been stable since
1.30.0 and no longer requires an attribute to enable"
master
Paolo Teti 3 years ago
parent
commit
8bfd4374b6
  1. 2
      crates/panic-handler/src/lib.rs
  2. 1
      examples/intrinsics.rs

2
crates/panic-handler/src/lib.rs

@ -1,6 +1,6 @@
// Hack of a crate until rust-lang/rust#51647 is fixed
#![feature(no_core, panic_handler)]
#![feature(no_core)]
#![no_core]
extern crate core;

1
examples/intrinsics.rs

@ -11,7 +11,6 @@
#![feature(lang_items)]
#![feature(start)]
#![feature(allocator_api)]
#![feature(panic_handler)]
#![cfg_attr(windows, feature(panic_unwind))]
#![no_std]

Loading…
Cancel
Save